import { VerticalAnchoredCategorySeries } from "./VerticalAnchoredCategorySeries";
import { IBarSeries } from "./IBarSeries";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Rect } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { CategoryMode } from "./CategoryMode";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class BarSeries extends VerticalAnchoredCategorySeries implements IBarSeries {
    static $t: Type;
    protected get_eb(): boolean;
    protected ip(): number;
    protected get_ey(): boolean;
    protected cg(): SeriesView;
    protected vw(): CategoryTransitionInMode;
    cm(): SeriesVisibleRangeMode;
    o0(a: SeriesView): void;
    y6: BarSeriesView;
    protected get_du(): boolean;
    ts(a: Point): Rect;
    f4(a: Point, b: boolean): boolean;
    constructor();
    vs(a: CategorySeriesView): CategoryFramePreparer;
    ac(): void;
    y7: number;
    y8: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    nj(a: boolean, b: SeriesView): void;
    wq(): number;
    xr(a: CategorySeriesView): number;
    aq(a: Axis): AxisRange;
    fo(a: any): boolean;
    h0(): number;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: BarSeriesView);
    protected i: BarSeriesView;
    g(a: number): void;
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
    private h;
    private j;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare class BarSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    dd: BarSeries;
    constructor(a: BarSeries);
    de: Pool$1<Rectangle>;
    au(): void;
    dl(): Rectangle;
    df: List$1<Rectangle>;
    dg(a: Rectangle): void;
    di(a: Rectangle): void;
    dh(a: Rectangle): void;
    dj(a: Rectangle, b: number, c: number): void;
    cv(): CategoryBucketCalculator;
    protected bh(a: any, b: number): void;
    protected ac(a: number): any;
    private dk;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
